#include "stdafx.h"

const char * g_pchTitle;
const char * g_pchText;
CString * g_pcText;

// Message handler 
LRESULT CALLBACK SingleEntry(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam){
	switch (message){
		case WM_INITDIALOG:
			SetWindowText( hDlg, g_pchTitle );			
			SetWindowText( GetDlgItem( hDlg, IDC_LBL_NAME ), g_pchText );			
			SetWindowText( GetDlgItem( hDlg, IDC_EDT_NAME ), g_pcText->Buffer() );			
			return TRUE;

		case WM_COMMAND:
			if( LOWORD(wParam)==IDOK || LOWORD(wParam)==IDCANCEL ) {
				char buffer[256];
				GetWindowText( GetDlgItem(hDlg,IDC_EDT_NAME), buffer, 256 );			
				g_pcText->Set(buffer);
				EndDialog(hDlg, LOWORD(wParam));
				return TRUE;
				}
			break;
		}
		
	return FALSE;
	}

bool GetSingleEntry( HWND hWndOwner, const char * pchTitle, const char * pchText, CString * pc ) { 
	g_pchTitle=pchTitle;
	g_pchText=pchText;
	g_pcText=pc;
	return IDOK == DialogBox( GetInstance( ), (LPCTSTR)IDD_SINGLEENTRY, hWndOwner, (DLGPROC)SingleEntry);
	}
	
	